Bug 1316995 (CVE-2016-3140) - CVE-2016-3140 kernel: Crash on invalid USB device descriptors (digi_acceleport driver)
Summary: CVE-2016-3140 kernel: Crash on invalid USB device descriptors (digi_accelepor...
Status: CLOSED WONTFIX
Alias: CVE-2016-3140
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard: impact=low,public=20160309,reported=2...
Keywords: Security
Depends On: 1283378 1317010
Blocks: 1317020
TreeView+ depends on / blocked
 
Reported: 2016-03-11 16:35 UTC by Adam Mariš
Modified: 2019-06-08 21:04 UTC (History)
33 users (show)

(edit)
Clone Of:
(edit)
Last Closed: 2016-03-18 09:19:09 UTC


Attachments (Terms of Use)

Description Adam Mariš 2016-03-11 16:35:43 UTC
Kernel crash occurs when presented a buggy USB device which requires digi_acceleport driver, causing null pointer dereference.

Product bug:

https://bugzilla.redhat.com/show_bug.cgi?id=1283378

Comment 1 Adam Mariš 2016-03-11 16:54:38 UTC
Acknowledgments:

Name: Ralf Spenneberg (OpenSource Security)

Comment 2 Adam Mariš 2016-03-11 17:04:24 UTC
Created kernel tracking bugs for this issue:

Affects: fedora-all [bug 1317010]

Comment 6 Vladis Dronov 2016-03-18 09:18:38 UTC
Statement:

This issue affects the Linux kernel packages as shipped with Red Hat Enterprise Linux 5, 6, 7 and MRG-2. This has been rated as having Low security impact and is not currently planned to be addressed in future updates. For additional information, refer to the Red Hat Enterprise Linux Life Cycle: https://access.redhat.com/support/policy/updates/errata/.

Comment 7 Fedora Update System 2016-04-02 00:43:45 UTC
kernel-4.5.0-302.fc24 has been pushed to the Fedora 24 stable repository. If problems still persist, please make note of it in this bug report.

Comment 8 Fedora Update System 2016-04-02 15:51:37 UTC
kernel-4.5.0-302.fc24 has been pushed to the Fedora 24 stable repository. If problems still persist, please make note of it in this bug report.

Comment 9 Fedora Update System 2016-04-08 15:52:19 UTC
kernel-4.4.6-301.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.

Comment 10 Fedora Update System 2016-04-08 20:20:07 UTC
kernel-4.4.6-201.fc22 has been pushed to the Fedora 22 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.